Skip to main content

setTrustCenterFeaturedProjects

Replace the set of pentest projects featured on the Trust Center

setTrustCenterFeaturedProjects(
input: SetTrustCenterFeaturedProjectsInput!
): SetTrustCenterFeaturedProjectsPayload

Arguments​

setTrustCenterFeaturedProjects.input ● SetTrustCenterFeaturedProjectsInput! non-null input​

Parameters for SetTrustCenterFeaturedProjects

Type​

SetTrustCenterFeaturedProjectsPayload object​

Autogenerated return type of SetTrustCenterFeaturedProjects.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the trustCenters query first and use data.trustCenters.collection[].id as trustCenterId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateSetTrustCenterFeaturedProjects($input: SetTrustCenterFeaturedProjectsInput!) {\n setTrustCenterFeaturedProjects(input: $input) { clientMutationId trustCenter { id application { __typename } asset { __typename } } }\n}","variables":{"input":{"trustCenterId":1,"projectIds":[1]}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute